'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  background-color: ', ';\n  border-radius: ', ';\n  box-sizing: border-box;\n  color: ', ';\n  display: inline-flex;\n  font-size: 11px;\n  font-weight: 700;\n  line-height: 1;\n  max-width: 200px;\n  padding: 2px ', ' 3px ', ';\n  text-transform: uppercase;\n  vertical-align: baseline;\n  white-space: nowrap;\n'], ['\n  background-color: ', ';\n  border-radius: ', ';\n  box-sizing: border-box;\n  color: ', ';\n  display: inline-flex;\n  font-size: 11px;\n  font-weight: 700;\n  line-height: 1;\n  max-width: 200px;\n  padding: 2px ', ' 3px ', ';\n  text-transform: uppercase;\n  vertical-align: baseline;\n  white-space: nowrap;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _utilSharedStyles = require('@atlaskit/util-shared-styles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HORIZONTAL_SPACING = _utilSharedStyles.akGridSizeUnitless / 2 + 'px';

var backgroundColor = {
  default: _utilSharedStyles.akColorN20,
  inprogress: _utilSharedStyles.akColorB50,
  moved: _utilSharedStyles.akColorY50,
  new: _utilSharedStyles.akColorP50,
  removed: _utilSharedStyles.akColorR50,
  success: _utilSharedStyles.akColorG50
};

var textColor = {
  default: _utilSharedStyles.akColorN500,
  inprogress: _utilSharedStyles.akColorB500,
  moved: _utilSharedStyles.akColorN600,
  new: _utilSharedStyles.akColorP500,
  removed: _utilSharedStyles.akColorR500,
  success: _utilSharedStyles.akColorG500
};

var boldBackgroundColor = {
  default: _utilSharedStyles.akColorN40,
  inprogress: _utilSharedStyles.akColorB500,
  moved: _utilSharedStyles.akColorY500,
  new: _utilSharedStyles.akColorP500,
  removed: _utilSharedStyles.akColorR500,
  success: _utilSharedStyles.akColorG500
};

var boldTextColor = {
  default: _utilSharedStyles.akColorN700,
  inprogress: _utilSharedStyles.akColorN0,
  moved: _utilSharedStyles.akColorN600,
  new: _utilSharedStyles.akColorN0,
  removed: _utilSharedStyles.akColorN0,
  success: _utilSharedStyles.akColorN0
};

var getBackgroundColor = function getBackgroundColor(_ref) {
  var appearance = _ref.appearance,
      isBold = _ref.isBold;
  return isBold ? boldBackgroundColor[appearance] : backgroundColor[appearance];
};

var getTextColor = function getTextColor(_ref2) {
  var appearance = _ref2.appearance,
      isBold = _ref2.isBold;
  return isBold ? boldTextColor[appearance] : textColor[appearance];
};

exports.default = _styledComponents2.default.span(_templateObject, getBackgroundColor, _utilSharedStyles.akBorderRadius, getTextColor, HORIZONTAL_SPACING, HORIZONTAL_SPACING);