import _Object$getPrototypeOf from 'babel-runtime/core-js/object/get-prototype-of';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import React, { PureComponent } from 'react';
import Container from './styledContainer';
import Content from './styledContent';

export var APPEARANCE_ENUM = {
  values: ['default', 'success', 'removed', 'inprogress', 'new', 'moved'],
  defaultValue: 'default'
};

var Lozenge = function (_PureComponent) {
  _inherits(Lozenge, _PureComponent);

  function Lozenge() {
    _classCallCheck(this, Lozenge);

    return _possibleConstructorReturn(this, (Lozenge.__proto__ || _Object$getPrototypeOf(Lozenge)).apply(this, arguments));
  }

  _createClass(Lozenge, [{
    key: 'validAppearance',


    // returns the assigned appearance if valid, falling back to the default otherwise
    value: function validAppearance() {
      var appearance = this.props.appearance;
      var values = APPEARANCE_ENUM.values,
          defaultValue = APPEARANCE_ENUM.defaultValue;

      return values.indexOf(appearance) !== -1 ? appearance : defaultValue;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          isBold = _props.isBold,
          children = _props.children;


      return React.createElement(
        Container,
        { appearance: this.validAppearance(), isBold: isBold },
        React.createElement(
          Content,
          null,
          children
        )
      );
    }
  }]);

  return Lozenge;
}(PureComponent);

Lozenge.defaultProps = {
  isBold: false,
  appearance: APPEARANCE_ENUM.defaultValue
};
export default Lozenge;